using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace atakanozbancom.Models.classes
{
    [Table("myprojectstranslations")]
    public class myprojectstranslation
    {
        public int id { get; set; }

        [Required]
        public int project_id { get; set; }

        [Required, StringLength(10)]
        public string culture { get; set; }

        [StringLength(255)]
        public string title { get; set; }

        public string description { get; set; }

        [ForeignKey("project_id")]
        public virtual myprojects Project { get; set; }
    }
}
